/*
 * Copyright 2019 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.optaweb.vehiclerouting.plugin.planner.domain;

public class PlanningDepot extends AbstractPlanningObject {

    private PlanningLocation location;

    public PlanningDepot() {
    }

    public PlanningDepot(PlanningLocation location) {
        super(location.getId());
        this.location = location;
    }

    public PlanningLocation getLocation() {
        return location;
    }

    public void setLocation(PlanningLocation location) {
        this.location = location;
    }

    @Override
    public String toString() {
        return "PlanningDepot{" +
                (location == null ? "" : "location=" + location.getId()) +
                ",id=" + id +
                '}';
    }
}
